using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules.ConditionInfoRules
{
	public class ClearAlcoholKitNumberWhenUnknown : CrashReportChildBusinessRuleBase<ConditionInfo>
	{
		public ClearAlcoholKitNumberWhenUnknown(IReferenceDataCache referenceDataCache) : base(referenceDataCache, nameof(ConditionInfo.IsAlcoholKitNumberUnknown))
		{
		}

		protected override void ApplyRule(ConditionInfo model, ReferenceDataFilter referenceData)
		{
			if (model.IsAlcoholKitNumberUnknown)
			{
				model.AlcoholKitNumber = null;
			}
		}
	}
}