using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules.ConditionInfoRules
{
	public class ClearDrugKitNumberWhenUnknown : CrashReportChildBusinessRuleBase<ConditionInfo>
	{
		public ClearDrugKitNumberWhenUnknown(IReferenceDataCache referenceDataCache) : base(referenceDataCache, nameof(ConditionInfo.IsDrugKitNumberUnknown))
		{
		}

		protected override void ApplyRule(ConditionInfo model, ReferenceDataFilter referenceData)
		{
			if (model.IsDrugKitNumberUnknown)
			{
				model.DrugKitNumber = null;
			}
		}
	}
}