﻿using ECrash.Core.Models.Document;
using ECrash.Core.Models.Document.BusinessRules;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules
{
	public abstract class CrashReportChildBusinessRuleBase<TChild> : DocumentChildBusinessRuleBase<CrashReport, TChild>
		where TChild : IDocumentNode<CrashReport>
	{
		protected CrashReportChildBusinessRuleBase(IReferenceDataCache referenceDataCache, params string[] properties) : base(referenceDataCache, properties)
		{
		}
	}
}