using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules.DriverRules
{
	public class ClearCommercialDriverLicenseStatusDescriptionIfNotRequired : CrashReportChildBusinessRuleBase<Driver>
	{
		public ClearCommercialDriverLicenseStatusDescriptionIfNotRequired(IReferenceDataCache referenceDataCache) : base(referenceDataCache, nameof(Driver.CommercialDriverLicenseStatus))
		{
		}

		protected override void ApplyRule(Driver model, ReferenceDataFilter referenceData)
		{
			if (model.CommercialDriverLicenseStatus == null || !model.CommercialDriverLicenseStatus.RequiresDescription)
			{
				model.CommercialDriverLicenseStatusDescription = null;
			}
		}
	}
}