using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules.SequenceOfEventsItemRules
{
	public class ClearEventDescriptionIfNotRequired : CrashReportChildBusinessRuleBase<SequenceOfEventsItem>
	{
		public ClearEventDescriptionIfNotRequired(IReferenceDataCache referenceDataCache) : base(referenceDataCache, nameof(SequenceOfEventsItem.Event))
		{
		}

		protected override void ApplyRule(SequenceOfEventsItem model, ReferenceDataFilter referenceData)
		{
			if (model.Event == null || !model.Event.RequiresDescription)
			{
				model.EventDescription = null;
			}
		}
	}
}