﻿using ECrash.Core.Models.Document;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules
{
	public class SetIsDistanceFromIntersectionNotApplicableBasedOnIfCrashIsInIntersection : CrashReportBusinessRuleBase
	{
		public SetIsDistanceFromIntersectionNotApplicableBasedOnIfCrashIsInIntersection(IReferenceDataCache referenceDataCache)
			: base(referenceDataCache, nameof(CrashReport.IsIntersection))
		{
		}

		protected override void ApplyRule(CrashReport document, ReferenceDataFilter referenceData, DocumentPropertyChangedEventArgs change)
		{
			document.IsDistanceFromIntersectionNotApplicable = document.IsIntersection;
		}
	}
}