﻿using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules.TrainRules
{
	public class ClearMakeIfUnknown : CrashReportChildBusinessRuleBase<Train>
	{
		public ClearMakeIfUnknown(IReferenceDataCache referenceDataCache) : base(referenceDataCache, nameof(Train.IsMakeUnknown))
		{
		}

		protected override void ApplyRule(Train model, ReferenceDataFilter referenceData)
		{
			if (model.IsMakeUnknown)
			{
				model.Make = null;
			}
		}
	}
}