using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules.VehicleRules
{
	public class ClearTrafficwayBarrierTypeDescriptionIfNotRequired : CrashReportChildBusinessRuleBase<Vehicle>
	{
		public ClearTrafficwayBarrierTypeDescriptionIfNotRequired(IReferenceDataCache referenceDataCache) : base(referenceDataCache, nameof(Vehicle.TrafficwayBarrierType))
		{
		}

		protected override void ApplyRule(Vehicle model, ReferenceDataFilter referenceData)
		{
			if (model.TrafficwayBarrierType == null || !model.TrafficwayBarrierType.RequiresDescription)
			{
				model.TrafficwayBarrierTypeDescription = null;
			}
		}
	}
}