using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules.VehicleTrailerRules
{
	public class ClearModelIfUnknown : CrashReportChildBusinessRuleBase<VehicleTrailer>
	{
		public ClearModelIfUnknown(IReferenceDataCache referenceDataCache) : base(referenceDataCache, nameof(VehicleTrailer.IsModelUnknown))
		{
		}

		protected override void ApplyRule(VehicleTrailer model, ReferenceDataFilter referenceData)
		{
			if (model.IsModelUnknown)
			{
				model.Model = null;
			}
		}
	}
}