﻿using System;

namespace ECrashLA.Core.Models.CrashReports
{
	public static class DistanceUnitExtensions
	{
		public static string Abbreviation(this DistanceUnit? unit) => unit switch
		{
			DistanceUnit.Feet => "ft",
			DistanceUnit.Miles => "mi",
			null => null,
			_ => throw new ArgumentOutOfRangeException(nameof(unit))
		};
	}
}