﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;
using Newtonsoft.Json;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	public class AirBagDeployment : ReferenceDataBase
	{
		public const string FrontTag = "Front";

		[JsonIgnore]
		public bool IsFront
		{
			get => Tags.Contains(FrontTag);
			set => SetTagPresence(FrontTag, value);
		}

		public AirBagDeployment(int id, RowVersion version) : base(id, version)
		{
		}
	}
}