﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;
using Newtonsoft.Json;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	public class AlcoholTestStatus : ReferenceDataBase
	{
		public const string TestRefusedTag = "TestRefused";

		public AlcoholTestStatus(int id, RowVersion version) : base(id, version)
		{
		}

		[JsonIgnore]
		public bool TestRefused
		{
			get => Tags.Contains(TestRefusedTag);
			set => SetTagPresence(TestRefusedTag, value);
		}
	}
}