﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;
using Newtonsoft.Json;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	public class DirectionFromIntersection : ReferenceDataBase
	{
		public const string ArrowKey = "Arrow";

		public DirectionFromIntersection(int id, RowVersion version) : base(id, version)
		{
		}

		[JsonIgnore]
		public string Arrow
		{
			get => GetFieldValue<string>(ArrowKey);
			set => Fields[ArrowKey] = value;
		}
	}
}