﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Source of a distraction that may have influenced driver/non-motorist performance, as defined by MMUCC field P18.2.
	/// </summary>
	public class DistractionSource : ReferenceDataBase
	{
		public DistractionSource(int id, RowVersion version) : base(id, version)
		{
		}
	}
}