﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;
using Newtonsoft.Json;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	public class DriverLicenseRestriction : ReferenceDataBase
	{
		public const string AlcoholInterlockDeviceTag = "AlcoholInterlockDevice";

		public DriverLicenseRestriction(int id, RowVersion version) : base(id, version)
		{
		}

		[JsonIgnore]
		public bool IsAlcoholInterlockDevice
		{
			get => Tags.Contains(AlcoholInterlockDeviceTag);
			set => SetTagPresence(AlcoholInterlockDeviceTag, value);
		}
	}
}