﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Indicates whether or not the hazardous materials being transported by this vehicle were released, as defined by MMUCC field LV10.3.
	/// </summary>
	public class HazardousMaterialRelease : ReferenceDataBase
	{
		public HazardousMaterialRelease(int id, RowVersion version) : base(id, version)
		{
		}
	}
}