﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	public class HazardousMaterialsPlacardStatus : ReferenceDataBase
	{
		public const string HadPlacardTag = "HadPlacard";
		public const string HadHazardousMaterialsTag = "HadHazardousMaterials";

		public HazardousMaterialsPlacardStatus(int id, RowVersion version) : base(id, version)
		{
		}

		public bool HadPlacard
		{
			get => Tags.Contains(HadPlacardTag);
			set => SetTagPresence(HadPlacardTag, value);
		}

		public bool HadHazardousMaterials
		{
			get => Tags.Contains(HadHazardousMaterialsTag);
			set => SetTagPresence(HadHazardousMaterialsTag, value);
		}
	}
}