﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Denotes if law enforcement was present in the work zone at the time of the crash, as defined by MMUCC field C18.5.
	/// </summary>
	public class LawEnforcementPresence : ReferenceDataBase
	{
		public LawEnforcementPresence(int id, RowVersion version) : base(id, version)
		{
		}
	}
}