﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;
using Newtonsoft.Json;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	public class SchoolBusRelation : ReferenceDataBase
	{
		// Tag definitions
		public const string DirectTag = "Direct";

		public SchoolBusRelation(int id, RowVersion version) : base(id, version)
		{
		}

		[JsonIgnore]
		public bool IsDirect
		{
			get => Tags.Contains(DirectTag);
			set => SetTagPresence(DirectTag, value);
		}
	}
}