﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Location of the crash in relation to the work zone, as defined by MMUCC field C18.2.
	/// </summary>
	public class WorkZoneLocation : ReferenceDataBase
	{
		public WorkZoneLocation(int id, RowVersion version) : base(id, version)
		{
		}
	}
}