﻿using System.ComponentModel;
using Spectre.Console.Cli;

namespace ECrashLA.Console.Settings
{
	public class VendorCrashReportSettings : AuthenticationSettings
	{
		[Description("The path to a folder, ZIP file, LACR file, or JSON file containing crash report data.")]
		[CommandArgument(0, "<crashReportPath>")]
		public string CrashReportPath { get; set; }
	}
}