﻿using System;

namespace ECrash.Core.Models.Document;

[AttributeUsage(AttributeTargets.Property | AttributeTargets.Field)]
public class MaxLengthAttribute : Attribute
{
	public MaxLengthAttribute(int length)
	{
		Length = length;
	}

	public int Length { get; }
}