﻿using System;

namespace ECrash.Core.Models.ReferenceData;

public class ReferenceDataMissingException : Exception
{
	public ReferenceDataMissingException(ReferenceDataBase value) : base(GenerateMessage(value))
	{
		Value = value;
	}

	public ReferenceDataBase Value { get; }

	private static string GenerateMessage(ReferenceDataBase value)
	{
		return $"The database does not contain a value of type {value.GetType().Name} with ID {value.Id}.";
	}
}