﻿using ECrash.Core.Models.Document;
using ECrash.Core.Models.Document.BusinessRules;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules
{
	public abstract class CrashReportValueCollectionBusinessRuleBase<TChild, TCollection, TValue> : DocumentValueCollectionBusinessRuleBase<CrashReport, TChild, TCollection, TValue>
		where TChild : IDocumentNode<CrashReport>
		where TCollection : DocumentValueCollection<CrashReport, TValue>
	{
		protected CrashReportValueCollectionBusinessRuleBase(IReferenceDataCache referenceDataCache) : base(referenceDataCache)
		{
		}
	}
}