﻿using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules.TrainRules
{
	public class ClearTypeIfUnknown : CrashReportChildBusinessRuleBase<Train>
	{
		public ClearTypeIfUnknown(IReferenceDataCache referenceDataCache) : base(referenceDataCache, nameof(Train.IsTypeUnknown))
		{
		}

		protected override void ApplyRule(Train model, ReferenceDataFilter referenceData)
		{
			if (model.IsTypeUnknown)
			{
				model.Type = null;
			}
		}
	}
}