using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.BusinessRules.VehicleTrailerRules
{
	public class ClearMakeIfUnknown : CrashReportChildBusinessRuleBase<VehicleTrailer>
	{
		public ClearMakeIfUnknown(IReferenceDataCache referenceDataCache) : base(referenceDataCache, nameof(VehicleTrailer.IsMakeUnknown))
		{
		}

		protected override void ApplyRule(VehicleTrailer model, ReferenceDataFilter referenceData)
		{
			if (model.IsMakeUnknown)
			{
				model.Make = null;
			}
		}
	}
}