﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Identifies movements/actions taken by the driver after the driver realizes there is an impending danger, as defined by MMUCC field F1.
	/// </summary>
	public class DriverAvoidanceManeuver : ReferenceDataBase
	{
		public DriverAvoidanceManeuver(int id, RowVersion version) : base(id, version)
		{
		}
	}
}