﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;
using Newtonsoft.Json;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	public class DrugUseSuspicion : ReferenceDataBase
	{
		public const string DriverLeftSceneTag = "DriverLeftScene";

		public DrugUseSuspicion(int id, RowVersion version) : base(id, version)
		{
		}

		[JsonIgnore]
		public bool DriverLeftScene
		{
			get => Tags.Contains(DriverLeftSceneTag);
			set => SetTagPresence(DriverLeftSceneTag, value);
		}
	}
}