﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
    /// <summary>
    /// Indicates operation of any motor vehicle that is legally authorized by a government authority to respond to emergencies, as defined by MMUCC field V11.
    /// </summary>
	public class EmergencyVehicleUsage : ReferenceDataBase
	{
		public EmergencyVehicleUsage(int id, RowVersion version) : base(id, version)
		{
		}
	}
}