﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Indicates whether or not a safety restraint was used improperly, as defined by MMUCC field P8.2.
	/// </summary>
	public class ImproperRestraintSystemUsage : ReferenceDataBase
	{
		public ImproperRestraintSystemUsage(int id, RowVersion version) : base(id, version)
		{
		}
	}
}