﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// The overall traffic control device for an intersection, as defined by MMUCC field C16.3.
	/// </summary>
	public class IntersectionTrafficControl : ReferenceDataBase
	{
		public IntersectionTrafficControl(int id, RowVersion version) : base(id, version)
		{
		}
	}
}