﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Action of a non-motorist immediately prior to the crash, as defined by MMUCC field NM2.1.
	/// </summary>
	public class NonMotoristActionPriorToCrash : ReferenceDataBase
	{
		public NonMotoristActionPriorToCrash(int id, RowVersion version) : base(id, version)
		{
		}
	}
}