﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Location of the first harmful event on the non-motorist by the motor vehicle, as defined by MMUCC field NM6.
	/// </summary>
	public class NonMotoristInitialContactPoint : ReferenceDataBase
	{
		public NonMotoristInitialContactPoint(int id, RowVersion version) : base(id, version)
		{
		}
	}
}