﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// An indication of whether the non-motorist was travelling to/from school, as defined by MMUCC field NM2.2.
	/// </summary>
	public class NonMotoristOriginOrDestination : ReferenceDataBase
	{
		public NonMotoristOriginOrDestination(int id, RowVersion version) : base(id, version)
		{
		}
	}
}