﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Safety equipment used by the non-motorist, as defined by MMUCC field NM5.
	/// </summary>
	public class NonMotoristSafetyEquipment : ReferenceDataBase
	{
		public NonMotoristSafetyEquipment(int id, RowVersion version) : base(id, version)
		{
		}
	}
}