﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;
using Newtonsoft.Json;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	public class Parish : ReferenceDataBase
	{
		public const string GeographicLocatorCodeKey = nameof(GeographicLocatorCode);

		public Parish(int id, RowVersion version) : base(id, version)
		{
		}

		[JsonIgnore]
		public string GeographicLocatorCode
		{
			get => GetFieldValue<string>(GeographicLocatorCodeKey);
			set => Fields[GeographicLocatorCodeKey] = value;
		}
	}
}
