﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
    /// <summary>
    /// The type of barrier between travel directions on a vehicle's trafficway, as defined by MMUCC V14.3.
    /// </summary>
	public class TrafficwayBarrierType : ReferenceDataBase
	{
		public TrafficwayBarrierType(int id, RowVersion version) : base(id, version)
		{
		}
	}
}