﻿using System.ComponentModel;
using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
    /// <summary>
    /// Indicates the presence and/or configuration of the HOV lane, as defined by MMUCC field V14.
    /// </summary>
    [Description("Trafficway HOV lane presence")]
	public class TrafficwayHovLanePresence : ReferenceDataBase
	{
		public TrafficwayHovLanePresence(int id, RowVersion version) : base(id, version)
		{
		}
	}
}