﻿using System.ComponentModel;
using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
    /// <summary>
    /// Indicates the relation of the trafficway's HOV lane to the crash being reported, as defined by MMUCC field V14.4.
    /// </summary>
	[Description("Trafficway HOV lane relation")]
    public class TrafficwayHovLaneRelation : ReferenceDataBase
	{
		public TrafficwayHovLaneRelation(int id, RowVersion version) : base(id, version)
		{
		}
	}
}