﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Pre-existing motor vehicle defects or maintenance conditions that may have contributed to the crash, as defined by MMUCC field V24.
	/// </summary>
	public class VehicleContributingCircumstance : ReferenceDataBase
	{
		public VehicleContributingCircumstance(int id, RowVersion version) : base(id, version)
		{
		}
	}
}