﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Indicates whether a vehicle's load is permitted or not permitted, as defined by MMUCC field LV8.3.
	/// </summary>
	public class VehicleLoadPermit : ReferenceDataBase
	{
		public VehicleLoadPermit(int id, RowVersion version) : base(id, version)
		{
		}
	}
}