﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Denotes if a crash was in a work zone or related to activity in a work zone, as defined by MMUCC field C18.1.
	/// </summary>
	public class WorkZoneRelation : ReferenceDataBase
	{
		public WorkZoneRelation(int id, RowVersion version) : base(id, version)
		{
		}
	}
}