﻿using ECrash.Core;
using ECrash.Core.Models.ReferenceData;

namespace ECrashLA.Core.Models.CrashReports.ReferenceData
{
	/// <summary>
	/// Denotes if workers were present at the time of the crash, as defined by MMUCC field C18.4.
	/// </summary>
	public class WorkerPresence : ReferenceDataBase
	{
		public WorkerPresence(int id, RowVersion version) : base(id, version)
		{
		}
	}
}