﻿using System;
using ECrash.Core.Models.Document;

namespace ECrashLA.Core.Models.CrashReports
{
	public class Thumbnail
	{
		public Guid Id { get; }
		public Filename Filename { get; }
		public Hash Hash { get; }
		public int Width { get; }
		public int Height { get; }
		public byte[] Data { get; }

		public Thumbnail(Guid id, Filename filename, Hash hash, int width, int height, byte[] thumbnail)
		{
			Id = id;
			Filename = filename;
			Hash = hash;
			Width = width;
			Height = height;
			Data = thumbnail;
		}

		public AttachmentKey GetKey() => new AttachmentKey(Id, Filename, Hash);
	}
}