﻿using System.ComponentModel;
using Spectre.Console.Cli;

namespace ECrashLA.Console.Settings
{
	public class GetTokenSettings : WebApiSettings
	{
		[Description("The username to use when authenticating with the web API.")]
		[CommandOption("-u|--user <username>")]
		public string Username { get; set; }

		[Description("The password to use when authenticating with the web API.")]
		[CommandOption("-p|--password <password>")]
		public string Password { get; set; }
	}
}