﻿using System.ComponentModel;
using Spectre.Console.Cli;

namespace ECrashLA.Console.Settings
{
	public class VendorCrashReportUploadSettings : VendorCrashReportSettings
	{
		[Description("The reviewing officer's rank.")]
		[CommandOption("--rank <rank>")]
		public string ReviewingOfficerRank { get; set; }

		[Description("The reviewing officer's first name.")]
		[CommandOption("--first-name <first-name>")]
		public string ReviewingOfficerFirstName { get; set; }

		[Description("The reviewing officer's middle name.")]
		[CommandOption("--middle-name <middle-name>")]
		public string ReviewingOfficerMiddleName { get; set; }

		[Description("The reviewing officer's last name.")]
		[CommandOption("--last-name <last-name>")]
		public string ReviewingOfficerLastName { get; set; }

		[Description("The reviewing officer's name suffix.")]
		[CommandOption("--name-suffix <name-suffix>")]
		public string ReviewingOfficerNameSuffix { get; set; }

		[Description("The reviewing officer's badge number.")]
		[CommandOption("--officer-id <badge-number>")]
		public string ReviewingOfficerId { get; set; }

	}
}