﻿using System.ComponentModel;
using Spectre.Console.Cli;

namespace ECrashLA.Console.Settings
{
	public class VendorValidateCrashReportSettings : VendorCrashReportSettings
	{
		[Description("Specifies formatting to apply to the validation report output (Json, Table, or Report).")]
		[CommandOption("-f|--format <format>")]
		[DefaultValue(ValidationReportFormat.Report)]
		public ValidationReportFormat Format { get; set; }
	}
}